// ------------------------------------------------------------------------------------
//
// Copyright  2006 Intel Corporation
// All Rights Reserved
// 
// The sample source code contained or described herein and all documents
// related to the sample source code ("Material") are owned by Intel Corporation
// or its suppliers or licensors. Title to the Material remains with Intel Corporation
// or its suppliers and licensors. The Material may contain trade secrets and
// proprietary and confidential information of Intel Corporation and its suppliers
// and licensors, and is protected by worldwide copyright and trade secret laws and
// treaty provisions. The sample source code is provided AS IS, with no warranties
// of any kind, express or implied. Except as expressly permitted by the Software
// license, neither Intel Corporation nor its suppliers assumes any responsibility
// or liability for any errors or inaccuracies that may appear herein.
//
// ------------------------------------------------------------------------------------
#include "stdafx.h"

#ifdef WIN32
void DebugPrintf(const char *format, ...)
{
    va_list vl;
    char buf[512];
    
    va_start(vl, format); 
    vsprintf_s(buf, format, vl);
    va_end(vl);
    
    OutputDebugString(buf);
}
#endif

float randomFloat(float low, float high)
{
    int r = rand();
    float span = high - low;
    float unit = (float)(span / (float)RAND_MAX);
    
    float output = low + ((float)r * unit);
    return output;
}
